using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioAlimentadorLigacao
    {

        public IList<entidadeAlimentadorLigacao> Select(entidadeAlimentadorLigacao objAlimentadorLigacao)
        {
            dalAlimentadorLigacao dalAlimentadorLigacao = null;

            var lstAlimentadorLigacao = new List<entidadeAlimentadorLigacao>();
            DataTable dt = null;

            try
            {
                dalAlimentadorLigacao = new dalAlimentadorLigacao();
                dt = dalAlimentadorLigacao.Select(objAlimentadorLigacao);

                foreach (DataRow dr in dt.Rows)
                {
                    objAlimentadorLigacao = new entidadeAlimentadorLigacao();


                    if (!Convert.IsDBNull(dr["IDROTA"]))
                        objAlimentadorLigacao.IDROTA = Convert.ToInt32(dr["IDROTA"]);

                    if (!Convert.IsDBNull(dr["IDALIMENTADOR"]))
                        objAlimentadorLigacao.IDALIMENTADOR = Convert.ToInt32(dr["IDALIMENTADOR"]);


                    lstAlimentadorLigacao.Add(objAlimentadorLigacao);
                }
                return lstAlimentadorLigacao;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
